Package org.apache.storm.generated

## Class SpoutStats

- java.lang.Object
- - org.apache.storm.generated.SpoutStats

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<SpoutStats>`, `org.apache.storm.thrift.TBase<SpoutStats,​SpoutStats._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class SpoutStats
      extends Object
      implements org.apache.storm.thrift.TBase<SpoutStats,​SpoutStats._Fields>, Serializable, Cloneable, Comparable<SpoutStats>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SpoutStats._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<SpoutStats._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpoutStats()` |
    `SpoutStats​(Map<String,​Map<String,​Long>> acked, Map<String,​Map<String,​Long>> failed, Map<String,​Map<String,​Double>> complete_ms_avg)` |
    `SpoutStats​(SpoutStats other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(SpoutStats other)` |
    `SpoutStats` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(SpoutStats that)` |
    `SpoutStats._Fields` | `fieldForId​(int fieldId)` |
    `Map<String,​Map<String,​Long>>` | `get_acked()` |
    `int` | `get_acked_size()` |
    `Map<String,​Map<String,​Double>>` | `get_complete_ms_avg()` |
    `int` | `get_complete_ms_avg_size()` |
    `Map<String,​Map<String,​Long>>` | `get_failed()` |
    `int` | `get_failed_size()` |
    `Object` | `getFieldValue​(SpoutStats._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_acked()` | Returns true if field acked is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_complete_ms_avg()` | Returns true if field complete_ms_avg is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_failed()` | Returns true if field failed is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(SpoutStats._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_acked​(String key, Map<String,​Long> val)` |
    `void` | `put_to_complete_ms_avg​(String key, Map<String,​Double> val)` |
    `void` | `put_to_failed​(String key, Map<String,​Long> val)` |
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_acked​(Map<String,​Map<String,​Long>> acked)` |
    `void` | `set_acked_isSet​(boolean value)` |
    `void` | `set_complete_ms_avg​(Map<String,​Map<String,​Double>> complete_ms_avg)` |
    `void` | `set_complete_ms_avg_isSet​(boolean value)` |
    `void` | `set_failed​(Map<String,​Map<String,​Long>> failed)` |
    `void` | `set_failed_isSet​(boolean value)` |
    `void` | `setFieldValue​(SpoutStats._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_acked()` |
    `void` | `unset_complete_ms_avg()` |
    `void` | `unset_failed()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<SpoutStats._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### SpoutStats

          public SpoutStats()

    - #### SpoutStats

          public SpoutStats​(Map<String,​Map<String,​Long>> acked,
                            Map<String,​Map<String,​Long>> failed,
                            Map<String,​Map<String,​Double>> complete_ms_avg)

    - #### SpoutStats

          public SpoutStats​(SpoutStats other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public SpoutStats deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<SpoutStats,​SpoutStats._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<SpoutStats,​SpoutStats._Fields>`

    - #### get_acked_size

          public int get_acked_size()

    - #### put_to_acked

          public void put_to_acked​(String key,
                                   Map<String,​Long> val)

    - #### get_acked

          public Map<String,​Map<String,​Long>> get_acked()

    - #### set_acked

          public void set_acked​(Map<String,​Map<String,​Long>> acked)

    - #### unset_acked

          public void unset_acked()

    - #### is_set_acked

          public boolean is_set_acked()

      Returns true if field acked is set (has been assigned a value) and false otherwise

    - #### set_acked_isSet

          public void set_acked_isSet​(boolean value)

    - #### get_failed_size

          public int get_failed_size()

    - #### put_to_failed

          public void put_to_failed​(String key,
                                    Map<String,​Long> val)

    - #### get_failed

          public Map<String,​Map<String,​Long>> get_failed()

    - #### set_failed

          public void set_failed​(Map<String,​Map<String,​Long>> failed)

    - #### unset_failed

          public void unset_failed()

    - #### is_set_failed

          public boolean is_set_failed()

      Returns true if field failed is set (has been assigned a value) and false otherwise

    - #### set_failed_isSet

          public void set_failed_isSet​(boolean value)

    - #### get_complete_ms_avg_size

          public int get_complete_ms_avg_size()

    - #### put_to_complete_ms_avg

          public void put_to_complete_ms_avg​(String key,
                                             Map<String,​Double> val)

    - #### get_complete_ms_avg

          public Map<String,​Map<String,​Double>> get_complete_ms_avg()

    - #### set_complete_ms_avg

          public void set_complete_ms_avg​(Map<String,​Map<String,​Double>> complete_ms_avg)

    - #### unset_complete_ms_avg

          public void unset_complete_ms_avg()

    - #### is_set_complete_ms_avg

          public boolean is_set_complete_ms_avg()

      Returns true if field complete_ms_avg is set (has been assigned a value) and false otherwise

    - #### set_complete_ms_avg_isSet

          public void set_complete_ms_avg_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(SpoutStats._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<SpoutStats,​SpoutStats._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(SpoutStats._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<SpoutStats,​SpoutStats._Fields>`

    - #### isSet

          public boolean isSet​(SpoutStats._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<SpoutStats,​SpoutStats._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(SpoutStats that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(SpoutStats other)

      Specified by:
        `compareTo` in interface `Comparable<SpoutStats>`

    - #### fieldForId

          public SpoutStats._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<SpoutStats,​SpoutStats._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`